	@charset "UTF-8";
/* CSS Document */

    body {
      font-family: roboto;
      line-height: 1.6;
      margin: 0;
      padding: 0;
      background-color: #f9f9f9;
      color: #333;
      scroll-behavior: smooth;
    }


    header {
      background-color: #BBD4EF;
      color: #fff;
      height: 120px; /* 원하는 높이로 조정 */
      display: flex;
      flex-direction: column;
      justify-content: center; /* 세로 중앙 정렬 */
      align-items: center; /* 가로 중앙 정렬 */
      text-align: center;
      position: sticky;
      top: 0;
      z-index: 1000;
    }
    header h1 {
      margin-bottom: 5px; /* h1과 p 사이 간격 */
		color: #fff;
    }
    header p {
      margin-top: 0; /* p 위쪽 여백 제거 */
      margin-bottom: 0; /* p 아래쪽 여백 제거 */
    }
	  
    header.scrolled {
      transform: translateY(20px); /* 헤더를 아래로 20px 이동 */
    }
    header h1 {
      margin-bottom: 5px; /* h1과 p 사이 간격 */
    }
	  
    nav {
      background-color: #fff;
      padding: 10px 0;
      text-align: center;
      position: sticky; /* 메뉴를 고정 */
      top: 0;
      z-index: 1000; /* 다른 콘텐츠보다 위에 위치하도록 설정 */
	  border-top: 3px solid #C9DDF2;
	  border-bottom: 3px solid #C9DDF2;
    }
    nav a {
      color: #BBD4EF;
      text-decoration: none;
      margin: 0 15px;
      font-weight: bold;
	  font-size: 12px;
    }
    nav a:hover {
      color: #85A2C4;
    }
    .container {
      width: 80%;
      margin: auto;
      overflow: hidden;
      padding: 20px;
      background-color: #fff;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
      margin-top: 20px;
      margin-bottom: 20px;
    }
    h1 {
      color: #fff;
    }


/* 진행과정 */ 


		hr {border: 1px solid #abc0d8; }

        .timeline-container {
            width: 30%;
            margin: 50px auto;
            position: relative;
        }
        .timeline {
            position: relative;
            padding: 20px 0;
        }
        .timeline::before {
            content: "";
            position: absolute;
            width: 5px;
            background: #d9e5f2;
            top: 0;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
        }
        .event {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            position: relative;
            margin: 30px 0;
        }
        .event:nth-child(odd) {
            flex-direction: row-reverse;
        }
        .event-circle {
            width: 20px;
            height: 20px;
            background: #e9eef4;
            border-radius: 50%;
            position: absolute;
            left: 50%;
            transform: translateX(-50%);
			border:15px solid #cce1f7;
        }
        .event-content {
            width: 35%;
            background: white;
            padding: 10px 10px 10px 20px;
            position: relative;
			border:1px solid #cce1f7;
        }

        .event:nth-child(odd) .event-content {
            margin-right: auto;
        }
        .event:nth-child(even) .event-content {
            margin-left: auto;
        }
		
		 h1 {
         text-align:center;
		 margin-bottom:30px;
         font-size: 35px;
         color: #bbd4ef;
	     line-height: 1.0; 
        }
		
        .event-content h3 {
            margin: 0 0 3px;
            font-size: 14px;
            color: #9cb1cc;
        }
        .event-content p {
            margin: 0;
            font-size: 12px;
            color: #666;
        }
		



/* 커미션 안내 */ 


        .commission-container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 10px;
            text-align: center;
        }

        .header {margin: 0 auto;
            background-color: #BBD4EF;
            color: #738CA8;
            padding: 20px 30px;
			font-size: 14px;
			max-width: 1200px;
        }

        .header h1 {
            margin: 0;
            font-size: 1.5rem;
			color: #85A2C4;
			padding: 20px 0 40px 0;
        }

        .commission-list {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-around;
            margin: 10px 0;
        }

        .commission-item {
            background-color: rgba(255, 255, 255, 0.5);
            border: 1px solid #eaeaea;
            width: 200px;
            margin: 10px;
            padding: 20px;
            text-align: left;
        }

        .commission-item h2 {
            font-size: 15px;
            margin: 0 0 2px;
            color: #9CB1CC;
        }

        .commission-item p {
            font-size: 12px;
            color: #555;
			margin: 0 0 -5px;
        }

        .commission-item .price {
            font-size: 12px;
            font-weight: bold;
            color: #BBD4EF;
            margin: 10px 0;
        }

        .commission-item button {
            background-color: #BBD4EF;
            color: white;
            border: none;
            padding: 7px 12px;
            font-size: 9px;
			font-weight: 700;
            cursor: pointer;
			transition: all 0.3s ease;
        }

        .commission-item button:hover {
            background-color: #ABC0D8;
        }




/* MAIL */ 


		.ttapbody {
			margin: 0 auto;
			max-width: 1200px;
		}

  	  .ttabs {
      display: flex;
    }
	  .ttabsline {
      display: flex;
	  margin-top:-1px;
      border-bottom: 1px solid #ddd;
  		  }

		.ttab-button {
    		padding: 10px 20px;
            cursor: pointer;
            background-color: #d2e1f1;
            border-bottom: none;
            outline: none;
		}
    	.ttab-button.comm {
            background-color: #bbd4ef;
            color: white;
            border-top: 5px solid #a6c1df;
			font-size: 20px;
    	}
    	.ttab-content {
            padding: 20px;
            background-color: #bbd4ef;
    	}
.ttab-pane {
    display: none;
    padding: 20px;
    background-color: #bbd4ef;
    text-align: center;
}
    	.ttab-pane.comm {
            display: block;
    	}

/* 활성화된 COMMISSION FORM */
#purchased.comm {
    display: block;
}

/* 활성화된 OPEN TALK */
#all.comm {
    display: block;
    height: 300px; /* 세로폭 고정 */
    line-height: 300px; /* 텍스트 가운데 정렬 */
    color: #fff;
    font-weight: bold;
    font-size: 20px;
}

		.ttab-pane a {
            text-decoration: none;
			font-size: 20px;
			color: #fff;
			text-align: center;
			font-weight: 700;
			justify-content: center;
    	}
	  
		form {
            max-width: 400px;
            margin: auto;
            padding: 20px;
		}


		input {
            width: 100%;
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #9cb1cf;
			font-family: roboto;
			font-size: 14px;
			background-color: rgba(255, 255, 255, 0.5);
        }

		textarea {
            width: 100%;
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #9cb1cf;
			height: 300px;
			font-family: roboto;
			font-size: 14px;
			background-color: rgba(255, 255, 255, 0.5);
        }


        mailbutton {
            padding: 10px 185px;
            background-color: #dae8f6;
            color: #7d94ad;
            border: none;
            cursor: pointer;
			font-family: roboto;
			font-weight: 700;
			transition: all 0.3s ease;
        }

        mailbutton:hover {
            background-color: #a6c1df;
        }

  		.mail {
            padding: 10px 193px;
            background-color: #dae8f6;
            color: #7d94ad;
            border: none;
            cursor: pointer;
			font-family: roboto;
			font-weight: 700;
			transition: all 0.3s ease;
        }

        .mail:hover {
            background-color: #a6c1df;
        }

		.kakao {margin: 0 auto;
			margin-top:150px;
			height: 200px;
			text-align: center;
			}

		.kakao a {
			padding: 10px 20px;
			font-family: roboto;
			font-size: 30px;
			color: #fff;
			text-decoration: none;
			font-weight: 700;
			transition: all 0.3s ease;
			border: 2px solid #b1cbe8;
		}

		.kakao a:hover {background-color: #9cb1cc;
			color: #fff;
		}



/* Top 버튼 스타일 */
#top-button {
    position: fixed; 
    bottom:20px; 
    right: 20px; 
    background-color: #fff; 
    color: #B3CDF0; 
    border: 7px solid #B3CDF0;
    border-radius: 50%; 
    width: 50px; 
    height: 50px;
    font-size: 10px; 
	font-weight: bold;
    cursor: pointer; 
    opacity: 0; 
    visibility: hidden; 
    transition: opacity 0.3s ease, visibility 0.3s ease; 
}

/* Top 버튼 보이기 */
#top-button.show {
    opacity: 1;
    visibility: visible;
}


/* Footer */
footer {
    text-align: center;
    padding: 10px;
    background: #B3CDF0;
	font-family: roboto;
	font-size: 9px;
	text-transform: uppercase; 
	color: #ffffff; 
}

/* 오른쪽 하단 고정 버튼 스타일 */
.floating-menu {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
}

#floating-button {
  background-color: #fff;
  color: #BBD4EF;
  border-radius: 50%;
  border:4px solid #BBD4EF;
  width: 50px;
  height: 50px;
  font-size: 14px;
  cursor: pointer;
  font-weight: 700;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease, background-color 0.3s ease;
}

#floating-button:hover {
  transform: scale(1.1);
  background-color: #85A2C4;
  color: #fff;
  font-weight: 700;
}

/* 메뉴 항목 */
#floating-menu-items {
  position: absolute;
  bottom: 70px;
  right: 0;
  background-color: white;
  border: 1px solid #ddd;
  border-radius: 3px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  padding: 10px 0;
  width: 150px;
  text-align: center;
  transition: opacity 0.3s ease, transform 0.3s ease;
}

#floating-menu-items.hidden {
  opacity: 0;
  pointer-events: none;
  transform: translateY(10px);
}

#floating-menu-items a {
  font-family: roboto;
  text-decoration: none;
  color: #333;
  padding: 10px 0;
  font-size: 14px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

#floating-menu-items a:hover {
  background-color: #BBD4EF;
  color: white;
}



		    section {
      padding: 20px 0;
    }


        @media (max-width: 768px) {
			
		.timeline-container {
            width: 90%;
        }
			
            .timeline::before {
                left: 10%;
            }
            .event-content {
                width: 80%;
                margin: 10px auto;
            }


            .commission-list {
                flex-direction: column;
                align-items: center;
            }

            .commission-item {
                width: 70%;
            }
			
			.mail {align-items: center;
            padding: 10px 130px;
        }
			 }
			


        /* Popup styling */
        .popup {
            display: none;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%) scale(0.9);
            width: 80%;
            max-width: 400px;
            background: #fff;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
            z-index: 1000;
            text-align: center;
            padding: 20px;
            opacity: 0;
            transition: all 0.3s ease-in-out;
        }

        .popup.show {
            display: block;
            opacity: 1;
            transform: translate(-50%, -50%) scale(1);
        }

        .popup h3 {
            margin: 0 0 10px;
			color: #9cb1cc;
        }

        .popup p {
            color: #555;
			font-size: 13px;
            margin: 0 0 10px;
			text-align:left;
        }

        .popup button {
            background-color: #BBD4EF;
            color: white;
            border: none;
            padding: 10px 20px;
            font-size: 12px;
            cursor: pointer;
			margin-top: 20px;
        }

        .popup button:hover {
            background-color: #ABC0D8;
        }

        .overlay {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.6);
            z-index: 999;
            opacity: 0;
            transition: opacity 0.3s ease-in-out;
        }

        .overlay.show {
            display: block;
            opacity: 1;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        table th, table td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: center;
			font-size: 12px;
        }

        table th {
            background-color: #9cb1cc;
            color: white;
        }
	
	